## python-mpd 1.0.0

=== Makefile ===
VERSION=`python -c "import mpd; print('.'.join(map(str,mpd.VERSION)))"`

test:
	python setup.py test
release: test
	git tag $(VERSION)
	python setup.py sdist upload
clean:
	python setup.py clean

## python-mpd 0.3.0

=== debian/changelog ===
python-mpd (0.3.0-4) unstable; urgency=low

  * Bump standards to 3.9.3.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Moved package to MPD maintainers. (Closes: #612909).
  * Removed useless preinst script needed for squeeze only.
  * Upstream licence is LGPL since 0.3.0 release.
    Copyright updated and switched to dep5 format.

 -- Geoffroy Youri Berret <efrim@azylum.org>  Tue, 13 Mar 2012 09:48:52 +0100

python-mpd (0.3.0-3) unstable; urgency=low

  * Migrate to dh_python2 (Closes: #632768).
  * Bump standards to 3.9.2.

 -- Michal Čihař <nijel@debian.org>  Thu, 07 Jul 2011 09:06:08 +0200

python-mpd (0.3.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Michal Čihař <nijel@debian.org>  Sun, 06 Feb 2011 12:54:19 +0100

python-mpd (0.3.0-1) experimental; urgency=low

  * New upstream version (Closes: #607037).
  * Bump standards to 3.9.1.

 -- Michal Čihař <nijel@debian.org>  Wed, 15 Dec 2010 15:16:09 +0100

python-mpd (0.2.1-5) unstable; urgency=low

  * Update home page (Closes: #569283).
  * Bump standards to 3.8.4.

 -- Michal Čihař <nijel@debian.org>  Mon, 14 Jun 2010 14:15:20 +0200

python-mpd (0.2.1-4) unstable; urgency=low

  * No need to build depend on python-all-dev, python-all is enough.
  * No need to override dh_installchanges, dh is clever enough to find the
    changes file.

 -- Michal Čihař <nijel@debian.org>  Mon, 04 Jan 2010 15:47:54 +0100

python-mpd (0.2.1-3) unstable; urgency=low

  * Fix stupid typo in preinst (Closes: #548390).

 -- Michal Čihař <nijel@debian.org>  Sat, 26 Sep 2009 11:18:32 +0200

python-mpd (0.2.1-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Michal Čihař ]
  * Bump standards to 3.8.3.
  * Switch to dh 7.
    - Simplify debian/rules.
    - Switch to python-support.
  * Update debian/copyright.

 -- Michal Čihař <nijel@debian.org>  Fri, 25 Sep 2009 15:29:52 +0200

python-mpd (0.2.1-1) unstable; urgency=low

  * New upstream version.
  * Switch homepage to pypi.python.org.
  * Update to standards 3.8.0.

 -- Michal Čihař <nijel@debian.org>  Mon, 22 Sep 2008 15:42:16 +0200

python-mpd (0.2.0-2) unstable; urgency=low

  * Fixed watch file thanks to Sandro Tosi <matrixhasu@gmail.com>.
  * Improve long description a bit (Closes: #478103).

 -- Michal Čihař <nijel@debian.org>  Sun, 27 Apr 2008 18:50:31 +0200

python-mpd (0.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #474699)

 -- Michal Čihař <nijel@debian.org>  Mon, 07 Apr 2008 12:05:55 +0200

=== debian/control ===
Source: python-mpd
Section: python
Priority: optional
Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
Uploaders: Geoffroy Youri Berret <efrim@azylum.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-all (>= 2.6.6-3~)
Standards-Version: 3.9.3
X-Python-Version: >= 2.5
Vcs-Git: git://git.debian.org/pkg-mpd/python-mpd.git
Vcs-Browser: http://git.debian.org/?p=pkg-mpd/python-mpd.git
Homepage: http://jatreuman.indefero.net/p/python-mpd/

Package: python-mpd
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Python MPD client library
 Fast MPD (Music Player Daemon) client library written in pure Python.
 It was written to be a replacement for python-mpdclient which is a bit
 outdated and does not perform good in many situations.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  --with python2

=== debian/watch ===
version=3

http://pypi.python.org/packages/source/p/python-mpd/python-mpd-(.*)\.tar\.gz

## python-mpd 0.5.5

=== debian/changelog ===
python-mpd (0.5.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Jul 2016 09:50:09 +0100

python-mpd (0.5.5-1) experimental; urgency=medium

  * New upstream release
    - switch upstream source to python-mpd2, a backwards-compatible fork,
      since the original python-mpd is no longer maintained (Closes: #808824)
    - debian/watch: switch upstream to python-mpd2
    - debian/copyright: update
  * Update packaging, heavily based on work done for python-mpd2 by
    Geoffroy Youri Berret
    - use debhelper 9
    - force pybuild build system, since upstream provides a Makefile which
      we don't want to use here
    - add python3-mpd package
    - add .install files to install everything
  * Run dh_install with --fail-missing to catch mistakes
    - specifically don't install mpd_test.py, not needed
  * Add autopkgtests. The tests are not run at build-time because they
    require a hard-coded listening port.
    - work around missing dependency on python[3]-pkg-resources by
      python[3]-pbr
  * Add myself to Uploaders
  * Standards-Version: 3.9.8 (no changes required)
  * Vcs-Git, Vcs-Browser: canonicalize
  * Sort package lists (wrap-and-sort -abst)
  * Add patch to update the version number in the documentation
  * Add a python-mpd-doc package
    - build HTML documentation using Sphinx
    - install examples

 -- Simon McVittie <smcv@debian.org>  Sun, 22 May 2016 13:41:53 +0100

=== debian/control ===
Source: python-mpd
Section: python
Priority: optional
Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
Uploaders:
 Geoffroy Youri Berret <efrim@azylum.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-exec,
 dh-python,
 python-all (>= 2.6.6-3~),
 python-setuptools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
 sphinx-common,
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/pkg-mpd/python-mpd.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-mpd/python-mpd.git
Homepage: https://github.com/Mic92/python-mpd2

Package: python-mpd
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Breaks:
 python-mpd2 (<< 0.5.5-1~),
Replaces:
 python-mpd2 (<< 0.5.5-1~),
Description: Python MPD client library
 Fast MPD (Music Player Daemon) client library written in pure Python.
 It was written to be a replacement for python-mpdclient which is a bit
 outdated and does not perform good in many situations.
 .
 This is the Python 2 version of python-mpd2, a fork of the original
 python-mpd.

Package: python-mpd-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${sphinxdoc:Depends},
Suggests:
 devhelp,
Breaks:
 python-mpd (<< 0.5.5-1~),
Replaces:
 python-mpd (<< 0.5.5-1~),
Description: Python MPD client library (documentation)
 Fast MPD (Music Player Daemon) client library written in pure Python.
 It was written to be a replacement for python-mpdclient which is a bit
 outdated and does not perform good in many situations.
 .
 This package contains the documentation.

Package: python3-mpd
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Breaks:
 python3-mpd2 (<< 0.5.5-1~),
Replaces:
 python3-mpd2 (<< 0.5.5-1~),
Description: Python MPD client library (Python 3)
 Fast MPD (Music Player Daemon) client library written in pure Python.
 It was written to be a replacement for python-mpdclient which is a bit
 outdated and does not perform good in many situations.
 .
 This is the Python 3 version of python-mpd2, a fork of the original
 python-mpd.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DISABLE=test

%:
	dh $@  --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	make -C doc devhelp
	# re-compress for reproducibility
	gunzip doc/_build/devhelp/python-mpd2.devhelp.gz
	gzip --best --no-name doc/_build/devhelp/python-mpd2.devhelp
	make -C doc html

override_dh_installchangelogs:
	dh_installchangelogs doc/changes.rst

override_dh_install:
	install -d debian/tmp/usr/share/devhelp/books
	cp -a doc/_build/devhelp debian/tmp/usr/share/devhelp/books/python-mpd2
	rm -f debian/tmp/usr/lib/*/dist-packages/mpd_test.py
	rm -f debian/tmp/usr/lib/*/dist-packages/*.py[co]
	rm -fr debian/tmp/usr/lib/*/dist-packages/__pycache__
	rm -fr debian/tmp/usr/share/devhelp/books/python-mpd2/_static
	dh_install --fail-missing

=== debian/tests/control ===
Tests: python2
Depends:
 python-mock,
 python-mpd,
 python-pkg-resources,
Restrictions:
 isolation-container,

Tests: python3
Depends:
 python3-mock,
 python3-mpd,
 python3-pkg-resources,
Restrictions:
 isolation-container,

## python-mpd 1.0.0

=== debian/changelog ===
python-mpd (1.0.0-1) unstable; urgency=medium

  * New upstream release
    - Adds new mpd.asyncio API (Python 3 only)
    - Adds new experimental mpd.twisted API
  * d/python-mpd.pyremove: Remove mpd.asyncio which requires Python 3
  * d/copyright: Update
  * Add test-dependency on python[3]-twisted
  * Require Python 2 >= 2.7 (2.6 would need extra libraries) and Python 3
    >= 3.5.2 (for asyncio)
  * Use DEP-14 branch names (debian/master, upstream/latest)
  * Move packaging to salsa.debian.org
  * Advance from debhelper compat level 7 to 11
  * Use dh_missing instead of dh_install --fail-missing
  * Use https Format for copyright file
  * Standards-Version: 4.1.3 (no further changes required)
  * d/tests/control: isolation-container is not actually needed
  * Add Breaks on older mpdris2 for #891416

 -- Simon McVittie <smcv@debian.org>  Sun, 25 Feb 2018 16:04:10 +0000

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,22 @@
  Geoffroy Youri Berret <efrim@azylum.org>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11~),
  dh-exec,
  dh-python,
- python-all (>= 2.6.6-3~),
+ python-all (>= 2.7),
  python-setuptools,
- python3-all,
+ python-twisted <!nocheck>,
+ python3-all (>= 3.5.2),
  python3-setuptools,
  python3-sphinx,
+ python3-twisted <!nocheck>,
  sphinx-common,
-Standards-Version: 3.9.8
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/pkg-mpd/python-mpd.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-mpd/python-mpd.git
+Standards-Version: 4.1.3
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.5
+Vcs-Git: https://salsa.debian.org/mpd-team/python-mpd.git
+Vcs-Browser: https://salsa.debian.org/mpd-team/python-mpd
 Homepage: https://github.com/Mic92/python-mpd2
 
 Package: python-mpd
@@ -68,6 +70,7 @@
  ${shlibs:Depends},
 Breaks:
  python3-mpd2 (<< 0.5.5-1~),
+ mpdris2 (<< 0.7+git20180205-1~),
 Replaces:
  python3-mpd2 (<< 0.5.5-1~),
 Description: Python MPD client library (Python 3)

=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,22 @@
 override_dh_installchangelogs:
 	dh_installchangelogs doc/changes.rst
 
+override_dh_installdocs:
+	dh_installdocs -ppython-mpd-doc --doc-main-package=python-mpd-doc
+	dh_installdocs --remaining-packages
+
+override_dh_installexamples:
+	dh_installexamples -ppython-mpd-doc --doc-main-package=python-mpd-doc
+	dh_installexamples --remaining-packages
+
 override_dh_install:
 	install -d debian/tmp/usr/share/devhelp/books
 	cp -a doc/_build/devhelp debian/tmp/usr/share/devhelp/books/python-mpd2
-	rm -f debian/tmp/usr/lib/*/dist-packages/mpd_test.py
-	rm -f debian/tmp/usr/lib/*/dist-packages/*.py[co]
-	rm -fr debian/tmp/usr/lib/*/dist-packages/__pycache__
+	rm -f debian/tmp/usr/lib/python*/dist-packages/mpd/test.py
+	rm -f debian/tmp/usr/lib/python*/dist-packages/mpd/*.py[co]
+	rm -fr debian/tmp/usr/lib/python*/dist-packages/mpd/__pycache__
 	rm -fr debian/tmp/usr/share/devhelp/books/python-mpd2/_static
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing

=== debian/tests/control ===
Tests: python2
Depends:
 python-mock,
 python-mpd,
 python-pkg-resources,
 python-twisted,

Tests: python3
Depends:
 python3-mock,
 python3-mpd,
 python3-pkg-resources,
 python3-twisted,

## python-mpd 1.1.0

=== debian/changelog ===
python-mpd (1.1.0-1) unstable; urgency=medium

  * New upstream release
    - Add Breaks on older sonata versions due to an API change
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * d/tests/python3: Replace deprecated ADTTMP with AUTOPKGTEST_TMP
  * Remove obsolete X-Python3-Version, which is satisfied in oldstable
  * Remove Breaks/Replaces on versions older than oldstable

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Feb 2020 22:48:20 +0000

python-mpd (1.0.0-4) unstable; urgency=medium

  * Team upload.

  [ Simon McVittie ]
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 10 Aug 2019 22:41:20 +0500

python-mpd (1.0.0-3) unstable; urgency=medium

  * d/control: Remove X-Python-Version: 2.7. Python < 2.7 is not
    a supported version in any supported Debian release, so that field
    is unnecessary.
  * Set Rules-Requires-Root to no
  * Standards-Version: 4.3.0 (no changes required)
  * Use debhelper-compat 12
  * Rename debian/tests/control.autodep8 to debian/tests/control.
    This naming is preferred in recent autopkgtest versions.

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Jan 2019 10:33:20 +0000

python-mpd (1.0.0-2) unstable; urgency=medium

  * Opt in to autopkgtest-pkg-python smoke test
  * Standards-Version: 4.1.4 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Apr 2018 09:49:58 +0100

=== debian/control ===
Source: python-mpd
Section: python
Priority: optional
Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
Uploaders:
 Geoffroy Youri Berret <efrim@azylum.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-exec,
 dh-python,
 python3-all (>= 3.5.2),
 python3-setuptools,
 python3-sphinx,
 python3-twisted <!nocheck>,
 sphinx-common,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/mpd-team/python-mpd.git
Vcs-Browser: https://salsa.debian.org/mpd-team/python-mpd
Homepage: https://github.com/Mic92/python-mpd2
Testsuite: autopkgtest-pkg-python

Package: python-mpd-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${sphinxdoc:Depends},
Suggests:
 devhelp,
Description: Python MPD client library (documentation)
 Fast MPD (Music Player Daemon) client library written in pure Python.
 It was written to be a replacement for python-mpdclient which is a bit
 outdated and does not perform good in many situations.
 .
 This package contains the documentation.

Package: python3-mpd
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Breaks:
 python3-mpd2 (<< 0.5.5-1~),
 mpdris2 (<< 0.7+git20180205-1~),
 sonata (<< 1.7~b1-4~),
Replaces:
 python3-mpd2 (<< 0.5.5-1~),
Description: Python MPD client library (Python 3)
 Fast MPD (Music Player Daemon) client library written in pure Python.
 It was written to be a replacement for python-mpdclient which is a bit
 outdated and does not perform good in many situations.
 .
 This is the Python 3 version of python-mpd2, a fork of the original
 python-mpd.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@  --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@  --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/tests/control ===
Tests: python3
Depends:
 python3-mock,
 python3-mpd,
 python3-pkg-resources,
 python3-twisted,

## python-mpd 3.0.3

=== debian/changelog ===
python-mpd (3.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Jan 2021 10:38:50 +0000

python-mpd (3.0.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Simon McVittie <smcv@debian.org>  Tue, 29 Dec 2020 09:00:39 +0000

python-mpd (3.0.1-1) experimental; urgency=medium

  * New upstream release
  * d/gbp.conf: Set packaging branch to debian/latest

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Dec 2020 17:59:47 +0000

python-mpd (2.0.1-1) unstable; urgency=medium

  * New upstream release
  * Drop the only patch, applied upstream
  * Make autopkgtest output more verbose and easier to debug

 -- Simon McVittie <smcv@debian.org>  Wed, 02 Dec 2020 11:56:21 +0000

python-mpd (2.0.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patches that were applied upstream
  * d/p/Reinstate-use_unicode-constructor-parameter-but-mark-it-a.patch:
    Add patch to restore API compatibility with 1.x
  * Update watch file format version to 4
  * Standards-Version: 4.5.1 (no changes required)
  * Move to debhelper compat level 13.
    Drop dh_missing --fail-missing, it is now the default.

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Nov 2020 11:31:18 +0000

python-mpd (1.1.0-3) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * d/test/{control,python3}: Fix test when more than one version of
    Python 3 is supported (Closes: #972730)
    - Don't quote output of pyversions -s
    - Add python3-all to Depends:

  [ Simon McVittie ]
  * Mark python-mpd-doc as Multi-Arch: foreign
  * Remove build-dependency on dh-exec, no longer needed
  * Build-Depend on dh-sequence-* to reduce repetition

 -- Simon McVittie <smcv@debian.org>  Fri, 23 Oct 2020 10:32:04 +0100

python-mpd (1.1.0-2) unstable; urgency=medium

  * Build-Depend on python3-sphinxcontrib.devhelp.
    This used to be part of python3-sphinx, but was separated in sphinx 2.x.
    (Closes: #959553)
  * python-mpd-doc: Add Built-Using: ${sphinxdoc:Built-Using}
  * d/p/Automatically-use-current-version-number-in-the-documenta.patch:
    Improve patch, and mark as forwarded upstream
  * d/p/asyncio-Initialize-__idle_task.patch,
    d/p/tests-Add-a-way-to-allow-slow-tests-to-be-run.patch:
    Add test coverage for async connect() timing out
  * Run slow tests in autopkgtest. They're not *that* slow.
  * Run autopkgtest for all supported Python 3 versions

 -- Simon McVittie <smcv@debian.org>  Mon, 04 May 2020 09:56:09 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
  Geoffroy Youri Berret <efrim@azylum.org>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
- dh-exec,
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  python3-all (>= 3.5.2),
  python3-setuptools,
  python3-sphinx,
+ python3-sphinxcontrib.devhelp,
  python3-twisted <!nocheck>,
- sphinx-common,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/mpd-team/python-mpd.git
 Vcs-Browser: https://salsa.debian.org/mpd-team/python-mpd
 Homepage: https://github.com/Mic92/python-mpd2
@@ -24,6 +24,9 @@
 Package: python-mpd-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
+Built-Using:
+ ${sphinxdoc:Built-Using},
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@  --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -32,6 +32,3 @@
 	rm -fr debian/tmp/usr/lib/python*/dist-packages/mpd/__pycache__
 	rm -fr debian/tmp/usr/share/devhelp/books/python-mpd2/_static
 	dh_install
-
-override_dh_missing:
-	dh_missing --fail-missing

=== debian/tests/control ===
Tests: python3
Depends:
 python3-all,
 python3-mock,
 python3-mpd,
 python3-pkg-resources,
 python3-twisted,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-mpd2-$1\.tar\.gz/ https://github.com/Mic92/python-mpd2/releases .*/v?(\d\S*)\.tar\.gz

## python-mpd 3.0.5

=== Makefile ===
PYTHON ?= python3.8
REMOTE = git@github.com:Mic92/python-mpd2
VERSION = $(shell $(PYTHON) -c "import mpd; print('.'.join(map(str,mpd.VERSION)))")

test:
	$(PYTHON) setup.py test
release: test
	git tag "v$(VERSION)"
	git push --tags git@github.com:Mic92/python-mpd2 master
	$(PYTHON) setup.py sdist bdist_wheel
	$(PYTHON) -m twine upload dist/python-mpd2-$(VERSION).tar.gz dist/python_mpd2-$(VERSION)-py2.py3-none-any.whl
clean:
	$(PYTHON) setup.py clean

.PHONY: test release clean

=== debian/changelog ===
python-mpd (3.0.5-1) unstable; urgency=medium

  * New upstream release
    - Fix compatibility with Python 3.10 asyncio
    - d/p/tests-Use-built-in-unittest.mock-instead-of-external-mock.patch:
      drop, applied upstream
  * d/watch: Update for Github website changes

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Feb 2022 10:38:03 +0000

python-mpd (3.0.4-1) unstable; urgency=medium

  * New upstream version 3.0.4
  * d/p/tests-Use-built-in-unittest.mock-instead-of-external-mock.patch:
    Add patch from upstream to use unittest.mock from Python standard
    library, instead of an external package
  * d/tests/control: Drop python3-mock dependency
  * d/rules: Enable build-time tests
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Oct 2021 12:02:35 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-sphinxcontrib.devhelp,
  python3-twisted <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/mpd-team/python-mpd.git
 Vcs-Browser: https://salsa.debian.org/mpd-team/python-mpd
 Homepage: https://github.com/Mic92/python-mpd2

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export PYBUILD_DISABLE=test
 
 %:
 	dh $@ --buildsystem=pybuild
@@ -12,6 +10,9 @@
 	gunzip doc/_build/devhelp/python-mpd2.devhelp.gz
 	gzip --best --no-name doc/_build/devhelp/python-mpd2.devhelp
 	make -C doc html
+
+override_dh_auto_test:
+	python3 -m unittest -v mpd.tests
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/changes.rst

=== debian/tests/control ===
Tests: python3
Depends:
 python3-all,
 python3-mpd,
 python3-pkg-resources,
 python3-twisted,

## python-mpd 3.1.0

=== debian/changelog ===
python-mpd (3.1.0-2) unstable; urgency=medium

  * d/clean: Fix FTBFS-twice-in-a-row by deleting all built files
    (Closes: #1047189)
  * d/p/Skip-asyncio-unit-tests-in-Python-3.12.patch:
    Add patch from Fedora to skip failing asyncio tests on Python 3.12+.
    It's unfortunate that we need to do this, but it seems that none of
    the users of python3-mpd in Debian (autosuspend, beets, mpdris2, sonata
    and snapserver) are actually using the asyncio interface, and the
    blocking interface still works fine. Better patches are very welcome,
    preferably sent to upstream issue Mic92/python-mpd2#214.
    (Mitigates: #1056485)
  * d/rules: Run tests on all supported Python versions, not just the
    default.
    This would have made #1056485 into a FTBFS, not just an autopkgtest
    failure.

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Dec 2023 12:41:23 +0000

python-mpd (3.1.0-1) unstable; urgency=medium

  * New upstream release
  * Remove versioned Breaks that became irrelevant in Debian 11
  * Update standards version to 4.6.2 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Fri, 21 Jul 2023 13:25:12 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
- python3-all (>= 3.5.2),
+ python3-all,
  python3-setuptools,
  python3-sphinx,
  python3-sphinxcontrib.devhelp,
  python3-twisted <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/mpd-team/python-mpd.git
 Vcs-Browser: https://salsa.debian.org/mpd-team/python-mpd
 Homepage: https://github.com/Mic92/python-mpd2
@@ -48,8 +48,6 @@
  ${shlibs:Depends},
 Breaks:
  python3-mpd2 (<< 0.5.5-1~),
- mpdris2 (<< 0.7+git20180205-1~),
- sonata (<< 1.7~b1-4~),
 Replaces:
  python3-mpd2 (<< 0.5.5-1~),
 Description: Python MPD client library (Python 3)

## python-mpd 3.1.1

=== Makefile ===
PYTHON ?= python3.11
REMOTE = git@github.com:Mic92/python-mpd2
VERSION = $(shell $(PYTHON) -c "import mpd; print('.'.join(map(str,mpd.VERSION)))")

test:
	tox
release: test
	test "$(git symbolic-ref --short HEAD)" = "master" || (echo "not on master branch"; exit 1)
	git pull --rebase origin master
	$(PYTHON) setup.py sdist bdist_wheel
	$(PYTHON) -m twine check dist/python-mpd2-$(VERSION).tar.gz dist/python_mpd2-$(VERSION)-py2.py3-none-any.whl
	git tag "v$(VERSION)"
	git push --tags git@github.com:Mic92/python-mpd2 "v$(VERSION)"
	$(PYTHON) -m twine upload dist/python-mpd2-$(VERSION).tar.gz dist/python_mpd2-$(VERSION)-py2.py3-none-any.whl
clean:
	$(PYTHON) setup.py clean

.PHONY: test release clean

=== debian/changelog ===
python-mpd (3.1.1-2) unstable; urgency=medium

  * d/tests/control: Remove python3-pkg-resources dependency.
    This was a workaround for a bug in python3-pbr (#823071), which was
    fixed long ago and in any case is no longer a dependency.
    (Closes: #1094672)
  * Standards-Version: 4.7.0 (no changes required)
  * d/salsa-ci.yml: Use recommended recipe

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Jan 2025 10:45:53 +0000

python-mpd (3.1.1-1) unstable; urgency=medium

  * New upstream release
    - Re-enable asyncio test, fixed upstream (mostly addresses #1056485)
  * d/gbp.conf: Merge upstream VCS tag when importing upstream releases
  * d/tests: Don't force running TestAsyncioMPD.test_noresponse.
    This is skipped by default, and still fails with Python 3.12
    (see #1056485).

 -- Simon McVittie <smcv@debian.org>  Wed, 31 Jul 2024 10:47:52 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-sphinxcontrib.devhelp,
  python3-twisted <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/mpd-team/python-mpd.git
 Vcs-Browser: https://salsa.debian.org/mpd-team/python-mpd
 Homepage: https://github.com/Mic92/python-mpd2

=== debian/tests/control ===
Tests: python3
Depends:
 python3-all,
 python3-mpd,
 python3-twisted,

## python-mpd 3.1.2

=== Makefile ===
PYTHON ?= python3.13
REMOTE = git@github.com:Mic92/python-mpd2
VERSION = $(shell $(PYTHON) -c "import mpd; print('.'.join(map(str,mpd.VERSION)))")

release:
	test "$(shell git symbolic-ref --short HEAD)" = "main" || (echo "not on main branch"; exit 1)
	git pull --rebase origin main
	$(PYTHON) -m build
	$(PYTHON) -m twine check dist/python_mpd2-$(VERSION).tar.gz dist/python_mpd2-$(VERSION)-py3-none-any.whl
	git tag "v$(VERSION)"
	git push --tags git@github.com:Mic92/python-mpd2 "v$(VERSION)"
	$(PYTHON) -m twine upload --repository python-mpd2 dist/python_mpd2-$(VERSION).tar.gz dist/python_mpd2-$(VERSION)-py3-none-any.whl
clean:
	rm -rf dist build *.egg-info

bump-version:
	@if [ -z "$(NEW_VERSION)" ]; then \
		echo "Usage: make bump-version NEW_VERSION=x.y.z"; \
		exit 1; \
	fi
	@echo "Bumping version to $(NEW_VERSION)..."
	@# Convert x.y.z to (x, y, z) for mpd/base.py
	@VERSION_TUPLE=$$(echo "$(NEW_VERSION)" | sed 's/\./,\ /g'); \
	sed -i.bak "s/^VERSION = (.*/VERSION = ($$VERSION_TUPLE)/" mpd/base.py && rm mpd/base.py.bak
	@# Update version in pyproject.toml
	@sed -i.bak 's/^version = .*/version = "$(NEW_VERSION)"/' pyproject.toml && rm pyproject.toml.bak
	@echo "Version bumped to $(NEW_VERSION)"
	@# Commit the version bump
	@git add mpd/base.py pyproject.toml
	@git commit -m "Bump version to $(NEW_VERSION)"
	@echo "Committed version bump to $(NEW_VERSION)"

.PHONY: test release clean bump-version

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-mpd2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-mpd2.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-mpd2"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-mpd2"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-mpd (3.1.2-2) unstable; urgency=medium

  * Mark python3-mpd as Multi-Arch: foreign
  * d/watch: Use uscan format v5

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Oct 2025 00:16:01 +0000

python-mpd (3.1.2-1) unstable; urgency=medium

  * New upstream release
  * Build using pybuild-plugin-pyproject
  * d/python3-mpd.install: .egg-info → .dist-info
  * Remove Rules-Requires-Root, unnecessary since Debian 13
  * Standards-Version: 4.7.2 (no changes required)
  * Reformat packaging files using debputy

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Oct 2025 11:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,4 +1,5 @@
 Source: python-mpd
+X-Style: black
 Section: python
 Priority: optional
 Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
@@ -9,13 +10,13 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-sphinx,
  python3-sphinxcontrib.devhelp,
  python3-twisted <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/mpd-team/python-mpd.git
 Vcs-Browser: https://salsa.debian.org/mpd-team/python-mpd
 Homepage: https://github.com/Mic92/python-mpd2
@@ -42,6 +43,7 @@
 
 Package: python3-mpd
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,9 @@
 	make -C doc html
 
 override_dh_auto_test:
-	python3 -m unittest -v mpd.tests
+	set -e; for v in $$(py3versions -s); do \
+		"$$v" -m unittest -v mpd.tests; \
+	done
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/changes.rst

=== debian/tests/control ===
Tests:
 python3,
Depends:
 python3-all,
 python3-mpd,
 python3-twisted,

=== debian/watch ===
Version: 5

Template: GitHub
Owner: Mic92
Project: python-mpd2
